.language-switcher {
    @include same_row(center,flex-start);
    position: absolute;
    width: 110px;
    height: 36px;
    top: 20px;
    right: 20px;
    background-color: transparent;
    border: 1px solid $blue;
    border-radius: 8px;
    padding: 5px 10px;
    &::before{
        content: "";
        @include svgs(100px,100px,"globalglobe.svg");
        display: inline-block;
        width: 16px;
        height: 16px;
        margin-right: 4px;
    }
    &::after{
        content: '';
        position: absolute;
        right:8px;
        top: calc(50% - 5px);
        transform: translateY(-50%);
        width: 10px; /* Adjust width as needed */
        height: 10px; /* Adjust height as needed */
        background: url('/images/sprites/svg/arrow.svg') no-repeat center center;
        background-size: contain;
        filter: brightness(0) saturate(100%) invert(20%) sepia(92%) saturate(2315%) hue-rotate(215deg) brightness(95%) contrast(100%);
        transform: rotate(90deg);
        pointer-events: none; /* Ensures the arrow does not interfere with select box functionality */
    }
    & select {
        border: none;
        background: none;
        font-size: 16px;
        color: $blue;
        &:focus-visible{
            outline: none;
        }
    
        border: none;
        background: none;
        font-size: 16px;
        -webkit-appearance: none; /* Remove default arrow for Safari and Chrome */
        -moz-appearance: none; /* Remove default arrow for Firefox */
        appearance: none; /* Remove default arrow for modern browsers */
      }
  }